VirtualBox Main API

Public Attributes | List of all members
IGuestDnDTarget Interface Reference

Implementation of the IDnDTarget object for target drag'n drop operations on the guest. More...

Inheritance diagram for IGuestDnDTarget:

## Public Attributes
readonly attribute boolean | midlDoesNotLikeEmptyInterfaces
Public Attributes inherited from IDnDBase
readonly attribute wstring[] | formats
| Returns all supported drag'n drop formats.

## Additional Inherited Members
Public Member Functions inherited from IDnDTarget
void | enter (in unsigned long screenId, in unsigned long y, in unsigned long x, in DnDAction defaultAction, in DnDAction[] allowedActions, in wstring[] formats, [retval] out DnDAction resultAction)
| Informs the target about a drag and drop enter event.
void | move (in unsigned long screenId, in unsigned long x, in unsigned long y, in DnDAction defaultAction, in DnDAction[] allowedActions, in wstring[] formats, [retval] out DnDAction resultAction)
| Informs the target about a drag and drop move event.
void | leave (in unsigned long screenId)
| Informs the target about a drag and drop leave event.
void | drop (in unsigned long screenId, in unsigned long x, in unsigned long y, in DnDAction defaultAction, in DnDAction[] allowedActions, in wstring[] formats, out wstring format, [retval] out DnDAction resultAction)
| Informs the target about a drop event.
void | sendData (in unsigned long screenId, in wstring format, in octet[] data, [retval] out IProgress progress)
| Initiates sending data to the target.
void | cancel ([retval] out boolean veto)
| Requests cancelling the current operation.
Public Member Functions inherited from IDnDBase
void | isFormatSupported (in wstring format, [retval] out boolean supported)
| Checks if a specific drag'n drop MIME / Content-type format is supported.
void | addFormats (in wstring[] formats)
| Adds MIME / Content-type formats to the supported formats.
void | removeFormats (in wstring[] formats)
| Removes MIME / Content-type formats from the supported formats.

## Detailed Description

Implementation of the IDnDTarget object for target drag'n drop operations on the guest.

Interface ID:
  `{50CE4B51-0FF7-46B7-A138-3C6E5AC946B4}`

## Member Data Documentation

## ◆ midlDoesNotLikeEmptyInterfaces

readonly attribute boolean IGuestDnDTarget::midlDoesNotLikeEmptyInterfaces